Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: sidu installer will not start kde amd64 december  (Read 3320 times)

Offline mhbell

  • User
  • Posts: 22
sidu installer will not start kde amd64 december
« on: 2014/01/11, 06:32:32 »
I have tried everything to install december KDE version amd64 nothing that has been sugested in the install forum has worked. the gnome version installs fine. I have a ati radeon hd4200 graphics card built in. There has to be a bug in the installer in the kde version. here is the problem when trying to install the kde version of december.

When I boot the live dvd I get to the desktop and it is unreadable because of very large fonts that are off of the screen. no matter what I do going to a terminal and installing firmware-linux-nonfree or the sidu-installer nothing works. with the gnome version I get a normal screen and I can install to the hard drive, but not in the kde version.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.599
Re: sidu installer will not start kde amd64 december
« Reply #1 on: 2014/01/11, 14:29:33 »
Very hard to say, because noone else has reproduced this behaviour so far. I myself have doe installs on 5 machines without spottintg the problem.


greetz
devil

Offline mhbell

  • User
  • Posts: 22
Re: sidu installer will not start kde amd64 december
« Reply #2 on: 2014/01/11, 15:26:55 »
Maybe no one else so far has a ATI Radeon HD4200 Did the machines you tried it on have a older ATI card? If I can install the gnome version and over 100 plus different distro's over the last 15 years then I would think it is the installer in the kde version. This computer that I am using is 7 years old and has had over 50 different distro's installed in that time. It is not the machine it is the distro that is broken the installer in the kde version.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.599
Re: sidu installer will not start kde amd64 december
« Reply #3 on: 2014/01/11, 16:10:01 »
There is only the installer, not the kde-installer. no difference.
You might want to try cli-installer from init 3.


greetz
devil

Offline mhbell

  • User
  • Posts: 22
Re: sidu installer will not start kde amd64 december
« Reply #4 on: 2014/01/11, 16:28:32 »
I am sorry I have to disagree there is a difference in the installer in the KDE version at least in the 2 different ISO's that I downloaded from different sources. They differ from the Gnome version. The gnome version installs and the KDE version will not. I installed using the cli-installer, but could not get a gui after the install. I had no problems installing firestarter kde version. So what has changed in december?

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.599
Re: sidu installer will not start kde amd64 december
« Reply #5 on: 2014/01/11, 21:00:21 »
The installer is the same in all flavours that sport a desktop environment. (KDE, Bnome,LXDE,XFCE, Razor-qt. Please provide the output of
Code: [Select]
/var/log/Xorg.0.log from the installed system.


greetz
devil

Offline mhbell

  • User
  • Posts: 22
Re: sidu installer will not start kde amd64 december
« Reply #6 on: 2014/01/12, 02:40:58 »
I installed "firmeware-linux-nonfree installed siduction using the cli installer. here is the log file you asked for it is long.
Code: [Select]
[    14.077]
X.Org X Server 1.14.5
Release Date: 2013-12-12
[    14.077] X Protocol Version 11, Revision 0
[    14.077] Build Operating System: Linux 3.13.0-rc2-patser+ x86_64 Debian
[    14.077] Current Operating System: Linux siductionbox 3.12-6.towo-siduction-amd64 #1 SMP PREEMPT Fri Dec 20 17:37:54 UTC 2013 x86_64
[    14.077] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.12-6.towo-siduction-amd64 root=UUID=5e845389-0779-4fd9-8caa-d5f6d070a076 ro quiet
[    14.077] Build Date: 13 December 2013  10:12:53AM
[    14.077] xorg-server 2:1.14.5-1 (Maarten Lankhorst <maarten.lankhorst@ubuntu.com>)
[    14.077] Current version of pixman: 0.32.4
[    14.077]     Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
[    14.077] Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    14.078] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Jan 12 01:13:15 2014
[    14.111] (==) Using config file: "/etc/X11/xorg.conf"
[    14.111] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    14.148] (==) ServerLayout "Xorg Configured"
[    14.148] (**) |-->Screen "Screen 0" (0)
[    14.148] (**) |   |-->Monitor "Monitor 0"
[    14.181] (==) No device specified for screen "Screen 0".
    Using the first device section listed.
[    14.181] (**) |   |-->Device "Device 0"
[    14.181] (==) Automatically adding devices
[    14.181] (==) Automatically enabling devices
[    14.181] (==) Automatically adding GPU devices
[    14.212] (WW) The directory "/usr/share/fonts/X11/misc" does not exist.
[    14.212]     Entry deleted from font path.
[    14.212] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    14.212]     Entry deleted from font path.
[    14.212] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    14.212]     Entry deleted from font path.
[    14.212] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    14.212]     Entry deleted from font path.
[    14.212] (WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
[    14.212]     Entry deleted from font path.
[    14.212] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    14.212]     Entry deleted from font path.
[    14.212] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    14.212]     Entry deleted from font path.
[    14.212] (==) FontPath set to:
    built-ins
[    14.212] (==) ModulePath set to "/usr/lib/xorg/modules"
[    14.212] (II) The server relies on udev to provide the list of input devices.
    If no devices become available, reconfigure udev or disable AutoAddDevices.
[    14.212] (II) Loader magic: 0x7f627dfa3d00
[    14.212] (II) Module ABI versions:
[    14.212]     X.Org ANSI C Emulation: 0.4
[    14.212]     X.Org Video Driver: 14.1
[    14.212]     X.Org XInput driver : 19.1
[    14.212]     X.Org Server Extension : 7.0
[    14.213] (II) xfree86: Adding drm device (/dev/dri/card0)
[    14.216] (--) PCI:*(0:1:5:0) 1002:9710:1458:d000 rev 0, Mem @ 0xd0000000/268435456, 0xfdfe0000/65536, 0xfde00000/1048576, I/O @ 0x0000ee00/256
[    14.216] (II) Open ACPI successful (/var/run/acpid.socket)
[    14.254] Initializing built-in extension Generic Event Extension
[    14.254] Initializing built-in extension SHAPE
[    14.254] Initializing built-in extension MIT-SHM
[    14.254] Initializing built-in extension XInputExtension
[    14.254] Initializing built-in extension XTEST
[    14.254] Initializing built-in extension BIG-REQUESTS
[    14.254] Initializing built-in extension SYNC
[    14.254] Initializing built-in extension XKEYBOARD
[    14.254] Initializing built-in extension XC-MISC
[    14.254] Initializing built-in extension SECURITY
[    14.254] Initializing built-in extension XINERAMA
[    14.254] Initializing built-in extension XFIXES
[    14.254] Initializing built-in extension RENDER
[    14.254] Initializing built-in extension RANDR
[    14.254] Initializing built-in extension COMPOSITE
[    14.254] Initializing built-in extension DAMAGE
[    14.254] Initializing built-in extension MIT-SCREEN-SAVER
[    14.254] Initializing built-in extension DOUBLE-BUFFER
[    14.254] Initializing built-in extension RECORD
[    14.254] Initializing built-in extension DPMS
[    14.254] Initializing built-in extension X-Resource
[    14.254] Initializing built-in extension XVideo
[    14.254] Initializing built-in extension XVideo-MotionCompensation
[    14.254] Initializing built-in extension SELinux
[    14.254] Initializing built-in extension XFree86-VidModeExtension
[    14.254] Initializing built-in extension XFree86-DGA
[    14.254] Initializing built-in extension XFree86-DRI
[    14.254] Initializing built-in extension DRI2
[    14.254] (II) LoadModule: "glx"
[    14.323] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    14.393] (II) Module glx: vendor="X.Org Foundation"
[    14.393]     compiled for 1.14.5, module version = 1.0.0
[    14.393]     ABI class: X.Org Server Extension, version 7.0
[    14.393] (==) AIGLX enabled
[    14.393] Loading extension GLX
[    14.393] (II) LoadModule: "vesa"
[    14.393] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    14.401] (II) Module vesa: vendor="X.Org Foundation"
[    14.401]     compiled for 1.14.3, module version = 2.3.3
[    14.401]     Module class: X.Org Video Driver
[    14.401]     ABI class: X.Org Video Driver, version 14.1
[    14.401] (II) VESA: driver for VESA chipsets: vesa
[    14.401] (++) using VT number 7

[    14.408] vesa: Ignoring device with a bound kernel driver
[    14.408] (WW) Falling back to old probe method for vesa
[    14.408] (EE) Screen 0 deleted because of no matching config section.
[    14.408] (II) UnloadModule: "vesa"
[    14.408] (EE) Device(s) detected, but none match those in the config file.
[    14.408] (EE)
Fatal server error:
[    14.408] (EE) no screens found(EE)
[    14.408] (EE)
Please consult the The X.Org Foundation support
     at http://wiki.x.org
 for help.
[    14.408] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    14.408] (EE)
[    14.415] (EE) Server terminated with error (1). Closing log file.

« Last Edit: 2014/01/12, 09:23:32 by devil »

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.599
Re: sidu installer will not start kde amd64 december
« Reply #7 on: 2014/01/12, 09:22:46 »
Please show your
Code: [Select]
/etc/X11/xorg.confAnd put it in code brackets so it takes up less room and is more readable. The icon to do that in the editor has a #.


greetz
devil

Offline mhbell

  • User
  • Posts: 22
Re: sidu installer will not start kde amd64 december
« Reply #8 on: 2014/01/12, 21:52:25 »
Please show your
Code: [Select]
/etc/X11/xorg.confAnd put it in code brackets so it takes up less room and is more readable. The icon to do that in the editor has a #.


greetz
devil
Thank You Devil for your time and trouble. I finally managed to get it installed By doing everything from the cli installer. When I booted the live dvd (I did booted in safe mode after removing the nouvieu and vesa commands) when I got to the unreadable screen (desktop) I did a CTRL + ALT + F1 Logged in and changed to su Then cli-installer after the install was done I then installed firmware-linux-nonfree after changing the repo to contrib nonfree I am in siduction and using it now. Once again thanks for your help. BTW it is the gui installer that would not work for me the cli installer works fine.